﻿#include <stdio.h>
#include <stdint.h>

#ifdef WIN32
#include <winsock2.h>
#include <ws2tcpip.h>
#endif

#include "democ_client.h"

int main(int argc, char *argv[])
{
#ifdef WIN32
    WSADATA WSAData;
    WSAStartup(0x0101, &WSAData);
#endif
    int32_t stat;
    struct tig_t cli;
    democ_client_init(&cli, argv[1]);
    int v1 = 123;
    int v2 = 456;
    int v3 = 0;
    stat = democ_client_add(&cli, v1, v2, &v3);
    printf("stat = %d\n", stat);
    printf("%d + %d = %d\n", v1, v2, v3);
    const char *s1 = "ABC";
    const char *s2 = "DEF";
    const char *s3 = NULL;
    stat = democ_client_conc(&cli, s1, s2, &s3);
    printf("stat = %d\n", stat);
    printf("|%s| + |%s| = |%s|\n", s1, s2, s3);
    datac o = malloc(sizeof(struct datac_t));
    o->iv = 123;
    strcpy(o->sv, "ABC");
    stat = democ_client_modify(&cli, &o);
    printf("stat = %d\n", stat);
    printf("{iv: %d, sv: %s}\n", o->iv, o->sv); 
    const char *id = NULL;
    stat = democ_client_getid(&cli, &id);
    printf("stat = %d\n", stat);
    printf("id = %s\n", id);
#ifdef WIN32
    WSACleanup();
#endif
    return 0;
}
