﻿#include <stdio.h>
#include <stdint.h>

#ifdef WIN32
#include <winsock2.h>
#include <ws2tcpip.h>
#endif

#include "DemopClient.h"

int main(int argc, char *argv[])
{
#ifdef WIN32
    WSADATA WSAData;
    WSAStartup(0x0101, &WSAData);
#endif
    int32_t stat;
    DemopClient cli(argv[1]);
    int v1 = 123;
    int v2 = 456;
    int v3 = 0;
    stat = cli.Add(v1, v2, &v3);
    printf("stat = %d\n", stat);
    printf("%d + %d = %d\n", v1, v2, v3);
    const char *s1 = "ABC";
    const char *s2 = "DEF";
    const char *s3 = NULL;
    stat = cli.Conc(s1, s2, &s3);
    printf("stat = %d\n", stat);
    printf("|%s| + |%s| = |%s|\n", s1, s2, s3);
    datap o = (datap)malloc(sizeof(struct datap_t));
    o->iv = 123;
    strcpy(o->sv, "ABC");
    stat = cli.Modify(&o);
    printf("stat = %d\n", stat);
    printf("{iv: %d, sv: %s}\n", o->iv, o->sv); 
    const char *id = NULL;
    stat = cli.Getid(&id);
    printf("stat = %d\n", stat);
    printf("id = %s\n", id);
#ifdef WIN32
    WSACleanup();
#endif
    return 0;
}
